Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: Foreman modules   

Target version: 3.5.0   

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/267,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/431,

https://github.com/theforeman/puppet-pul

pcore/pull/268

  

Description

Introduces anonymous telemetry data posting to https://analytics.pulpproject.org/. This is enabled by default, and can be disabled by

setting the TELEMETRY setting to False. See the telemetry docs for more info on exactly what is posted along with an example. - 

https://github.com/pulp/pulpcore/issues/3115

Associated revisions

Revision 54ee9bfa - 10/25/2022 07:47 PM - William Clark

Fixes #35607 - Configure Pulpcore's TELEMETRY setting

Revision 654d7fe2 - 11/01/2022 06:07 PM - William Clark

Refs #35607 - convert telemetry value to python

Revision 63f67322 - 11/01/2022 09:10 PM - William Clark

Fixes #35607 - Pulpcore Telemetry should be disabled initially

Introduces a pulpcore_telemetry parameter which is false by default.

Users can opt-in to reporting anonymized telemetry data to the pulp

project at https://analytics.pulpproject.org/ by setting the value

to true.

History

#1 - 10/07/2022 08:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/267 added

#2 - 10/19/2022 06:06 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/431 added

#3 - 10/25/2022 07:47 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 10/25/2022 08:01 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|54ee9bfa0fb6e810ce6021949354e96766143a77.

#5 - 11/01/2022 03:12 PM - Ewoud Kohl van Wijngaarden
https://analytics.pulpproject.org/
https://github.com/pulp/pulpcore/issues/3115
https://analytics.pulpproject.org/
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/54ee9bfa0fb6e810ce6021949354e96766143a77


- Status changed from Closed to Ready For Testing

- Target version set to 3.5.0

- Triaged changed from No to Yes

The puppet-pulpcore change was a prerequisite, but the real feature is in puppet-foreman_proxy_content. This should be completed before 3.5.0.

#6 - 11/01/2022 04:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/268 added

#7 - 11/01/2022 10:00 PM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|63f6732235286b73a76b2452f06b4f2d57bb4836.
